Bug 255952 - security/strongswan: rc-script: fix comments, make default interface options-dependent
Summary: security/strongswan: rc-script: fix comments, make default interface options-...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Juraj Lutter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-17 18:50 UTC by Sergey Akhmatov
Modified: 2021-05-31 11:30 UTC (History)
2 users (show)

See Also:
strongswan: maintainer-feedback+


Attachments
strongswan default control-interface fix (1.36 KB, text/plain)
2021-05-17 18:50 UTC, Sergey Akhmatov
no flags Details
strongswan default control-interface fix update (1.94 KB, patch)
2021-05-19 09:52 UTC, strongswan
strongswan: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Akhmatov 2021-05-17 18:50:22 UTC
Created attachment 225035 [details]
strongswan default control-interface fix

PR249865 changed default control interface from "stroke" to "vici", but the comment in rc-script still says:
#      Default is "stroke"

At first I wanted just to fix this comment, but instead decided to make the default control interface (along with comment) options-dependent to have rc-script working out-of-the box with VICI_OPTION= OFF

If this change seems like overcomplication to @maintainer, just fix the comment please.
Comment 1 Juraj Lutter freebsd_committer 2021-05-18 20:25:21 UTC
Change from stroke to vici was indeed a POLA violation.
Comment 2 strongswan 2021-05-19 09:52:10 UTC
Created attachment 225083 [details]
strongswan default control-interface fix update

I like the update as you have it.
It makes it very simple when someone actually elects to not use vici and still use the stroke interface.

I just added a pkg-message as well to indicate that the default interface was updated to vici.
Comment 3 strongswan 2021-05-19 09:53:18 UTC
The patch can be commited if the committer is happy with it.
Comment 4 strongswan 2021-05-19 09:53:42 UTC
Comment on attachment 225035 [details]
strongswan default control-interface fix

Updated with new fix.
Comment 5 commit-hook freebsd_committer 2021-05-19 11:26:21 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0ca8849103d5838079aa6433722e5c335dcc955d

commit 0ca8849103d5838079aa6433722e5c335dcc955d
Author:     Sergey Akhmatov <sergey@akhmatov.ru>
AuthorDate: 2021-05-19 11:12:57 +0000
Commit:     Juraj Lutter <otis@FreeBSD.org>
CommitDate: 2021-05-19 11:23:52 +0000

    security/strongswan: Fix default control-interface

    Fix default control-interface in rc.d script and also
    make it user-selectable at build time, defaulting to VICI.

    Also mention this change in pkg-message, as previously the
    default was "stroke" and it was changed to "vici" with
    only a short notice in UPDATING, that was not displayed
    when using binary upgrades.

    Committing a portfmt'd version.

    PR:             255952
    Approved by:    strongswan@Nanoteq.com (maintainer)

 security/strongswan/Makefile            | 186 ++++++++++++++++----------------
 security/strongswan/files/strongswan.in |   4 +-
 security/strongswan/pkg-message (new)   |  19 ++++
 3 files changed, 116 insertions(+), 93 deletions(-)
Comment 6 Juraj Lutter freebsd_committer 2021-05-31 11:30:55 UTC
Committed, thanks.